%define mod_path %{_libdir}/command
Summary: command is a module to run external commands through a Nagios queryhandler
Name: monitor-command
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/Monitor
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor
Requires: op5-nagios >= 3.99.99.9-beta3
BuildRequires: op5-nagios-devel >= 3.99.99.9-beta3
BuildRoot: %{_tmppath}/%{name}-%{version}


%define nagios_cfg %{prefix}/etc/nagios.cfg

%description
%{name} enables running of external commands in op5 Monitor through a Nagios queryhandler.
%prep
%setup -q


%build
rm -rf %buildroot
make NAGIOS_PREFIX=%prefix
make NAGIOS_PREFIX=%prefix test


%install
mkdir -p %buildroot%mod_path
cp -a command.so %buildroot%mod_path

%post
if ! grep -q 'broker_module.*command\.so' %nagios_cfg; then
	sed -i "s#^log_file.*#broker_module=%mod_path/command.so\\n\\n&#" \
		%nagios_cfg
fi
/etc/init.d/monitor restart || :


%postun
# remove module from Nagios cfg if uninstalling
if test $1 -eq 0; then
	sed -i '#^broker_module=%mod_path/command.so#d' %nagios_cfg
fi
/etc/init.d/monitor restart || :


%files
%defattr(-,root,root)
%mod_path


%clean
rm -rf %buildroot

%changelog
* Tue Jul 5 2013 Anton Löfgren <alofgren@op5.com>
- Initial specfile creation.
